DMDConstructionHeuristic Class Reference

an implementation of the "dynamic minimum degree" heuristic for contruction a matching

`#include <DMDConstructionHeuristic.h>`

Inheritance diagram for DMDConstructionHeuristic:

## Public Member Functions

| DMDConstructionHeuristic (Graph *g, Matching *m, float goal=100.0)
virtual | ~DMDConstructionHeuristic (void)
const char * | getName (void) const
void | run (void)
Public Member Functions inherited from MatchingAlgorithm
| MatchingAlgorithm (Graph *g, Matching *m, float goal)
virtual | ~MatchingAlgorithm (void)
Matching * | getMatching (void) const
void | setGoal (float goal)

## Private Member Functions

VertexLabel | findMinDegIndex (const std::vector< Vertex * > &vertices)

## Private Attributes

std::vector< Vertex * > | AvailableVertices

## Static Private Attributes

static const VertexLabel | MinDegNotFound = VERTEXLABEL_MAX

## Additional Inherited Members

Protected Attributes inherited from MatchingAlgorithm
Graph * | TheGraph
Matching * | TheMatching
unsigned long | CardinalityGoal

## Constructor & Destructor Documentation

## DMDConstructionHeuristic()

DMDConstructionHeuristic::DMDConstructionHeuristic | ( | Graph * | g,
|  | Matching * | m,
|  | float | goal = 100.0 )

## ~DMDConstructionHeuristic()

virtual DMDConstructionHeuristic::~DMDConstructionHeuristic | ( | void |  | ) |

inline virtual

## Member Function Documentation

## findMinDegIndex()

VertexLabel DMDConstructionHeuristic::findMinDegIndex | ( | const std::vector< Vertex * > & | vertices | ) |

private

## getName()

const char * DMDConstructionHeuristic::getName | ( | void |  | ) | const

inline virtual

Implements MatchingAlgorithm.

## run()

void DMDConstructionHeuristic::run | ( | void |  | ) |

virtual

Implements MatchingAlgorithm.

## Member Data Documentation

## AvailableVertices

std::vector<Vertex*> DMDConstructionHeuristic::AvailableVertices

private

## MinDegNotFound

const VertexLabel DMDConstructionHeuristic::MinDegNotFound = VERTEXLABEL_MAX

static private

The documentation for this class was generated from the following files:

- DMDConstructionHeuristic.h
- DMDConstructionHeuristic.cc